Bug 716808 - Review Request: grapefruit - Python module for color information
Summary: Review Request: grapefruit - Python module for color information
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: pjp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 699336
TreeView+ depends on / blocked
 
Reported: 2011-06-27 07:26 UTC by Praveen Kumar
Modified: 2011-07-10 06:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-09 10:34:13 UTC
Type: ---
pj.pandit: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Praveen Kumar 2011-06-27 07:26:10 UTC
Spec URL: http://kumarpraveen.fedorapeople.org/grapefruit/grapefruit.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/grapefruit/grapefruit-0.1a3-1.20110627svn31.fc15.src.rpm
Description: GrapeFruit is a pure Python module that let you easily manipulate and convert color information. Its Primary goal is to be natural and flexible.

Koji Build : http://koji.fedoraproject.org/koji/taskinfo?taskID=3162998

Comment 1 pjp 2011-06-27 19:24:58 UTC
[X] Package name - ok.
[?] Package group not specified.
[X] Build successful - ok.
[?] $ rpmlint SRPMS/grapefruit-0.1a3-1.20110627svn31.fc14.src.rpm
 
grapefruit.src: W: invalid-url Source0: grapefruit-0.1a3svn31.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

   -> Please provide valid source URL.


[X] $ rpmlint RPMS/noarch/grapefruit-0.1a3-1.20110627svn31.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

   -> ok.

[X] License ASL 2.0 - ok
[?] md5sum/sha1sum of the sources in the SRPM and the one accessible
    from URL - https://code.google.com/p/grapefruit/downloads/list - do NOT match.

[X] Install/Un-install - ok.

Overall good. Nevertheless, please do fix the minor glitches like RPM groups and source URL.

Comment 2 Praveen Kumar 2011-06-28 01:50:49 UTC
(In reply to comment #1)
> [X] Package name - ok.
> [?] Package group not specified.

done

> [X] Build successful - ok.
> [?] $ rpmlint SRPMS/grapefruit-0.1a3-1.20110627svn31.fc14.src.rpm
> 
> grapefruit.src: W: invalid-url Source0: grapefruit-0.1a3svn31.tar.gz
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.
> 
>    -> Please provide valid source URL.

I export this source using svn and I already specified how I made tarball

> [X] $ rpmlint RPMS/noarch/grapefruit-0.1a3-1.20110627svn31.fc14.noarch.rpm 
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
>    -> ok.
> 
> [X] License ASL 2.0 - ok
> [?] md5sum/sha1sum of the sources in the SRPM and the one accessible
>     from URL - https://code.google.com/p/grapefruit/downloads/list - do NOT
> match.

may be because I exported latest upstream.

> 
> [X] Install/Un-install - ok.
> 
> Overall good. Nevertheless, please do fix the minor glitches like RPM groups
> and source URL.
Updated SPEC : http://kumarpraveen.fedorapeople.org/grapefruit/grapefruit.spec
Updated SRPM : http://kumarpraveen.fedorapeople.org/grapefruit/grapefruit-0.1a3-2.20110627svn31.fc15.src.rpm

Thanks for reviewing.

Comment 3 pjp 2011-06-28 05:28:28 UTC
[X] rpmlint RPMS/noarch/grapefruit-0.1a3-2.20110627svn31.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  -> ok.

> > [?] md5sum/sha1sum of the sources in the SRPM and the one accessible
> >     from URL - https://code.google.com/p/grapefruit/downloads/list - do NOT
> 
> may be because I exported latest upstream.

I tried the following

$ svn export -r 31 http://grapefruit.googlecode.com/svn/trunk/ grapefruit-0.1a3
$ tar -czvf grapefruit-0.1a3svn31.tar.gz grapefruit-0.1a3/
$
$ md5sum grapefruit-0.1a3svn31.tar.gz \
         rpmbuild/SOURCES/grapefruit-0.1a3svn31.tar.gz 
497f9c6af0063f4c866c7883cc14f8cd  grapefruit-0.1a3svn31.tar.gz
2692d795fc5f3ea5af032c034a56cc3d  rpmbuild/SOURCES/grapefruit-0.1a3svn31.tar.gz

The second one is from the SRPM.

Comment 4 Praveen Kumar 2011-06-28 07:30:21 UTC
(In reply to comment #3)
> [X] rpmlint RPMS/noarch/grapefruit-0.1a3-2.20110627svn31.fc14.noarch.rpm 
> 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
>   -> ok.
> 
> > > [?] md5sum/sha1sum of the sources in the SRPM and the one accessible
> > >     from URL - https://code.google.com/p/grapefruit/downloads/list - do NOT
> > 
> > may be because I exported latest upstream.
> 
> I tried the following
> 
> $ svn export -r 31 http://grapefruit.googlecode.com/svn/trunk/ grapefruit-0.1a3
> $ tar -czvf grapefruit-0.1a3svn31.tar.gz grapefruit-0.1a3/
> $
> $ md5sum grapefruit-0.1a3svn31.tar.gz \
>          rpmbuild/SOURCES/grapefruit-0.1a3svn31.tar.gz 
> 497f9c6af0063f4c866c7883cc14f8cd  grapefruit-0.1a3svn31.tar.gz
> 2692d795fc5f3ea5af032c034a56cc3d  rpmbuild/SOURCES/grapefruit-0.1a3svn31.tar.gz
> 
> The second one is from the SRPM.
Thanks for pointing out now it's fixed.
Updated SPEC : http://kumarpraveen.fedorapeople.org/grapefruit/grapefruit.spec
SRPM : http://kumarpraveen.fedorapeople.org/grapefruit/grapefruit-0.1a3-3.20110627svn31.fc15.src.rpm

Comment 5 pjp 2011-06-28 12:51:06 UTC
> Thanks for pointing out now it's fixed.
> Updated SPEC : http://kumarpraveen.fedorapeople.org/grapefruit/grapefruit.spec
> SRPM : http://kumarpraveen.fedorapeople.org/grapefruit/grapefruit-0.1a3-3.20110627svn31.fc15.src.rpm

  Hey, I tried the same sequence again, but it again shows different md5sums for the two tarballs.

I think the - .gz - compression changes the tarball every time you create it.

=====

$ echo 'hello, world' > 1
$ tar -czf 1.tar.gz 1
$ tar -czf 2.tar.gz 1
$ md5sum 1.tar.gz 2.tar.gz 
12ef3047bf3a93b99fd82e57eb7eeef9  1.tar.gz
6eec3830961866140011554f20bc48fb  2.tar.gz

=====

I'll suggest change the compression to .bz2 or .xz as

.xz -> $ tar -cJvf grapefruit-0.1a3svn31.tar.xz grapefruit-0.1a3/
.bz2 -> $ tar -cjvf grapefruit-0.1a3svn31.tar.bz2 grapefruit-0.1a3/

Please notice the capital(-J) and small(-j) in the options above.

Comment 6 Praveen Kumar 2011-06-28 13:11:24 UTC
(In reply to comment #5)
>   Hey, I tried the same sequence again, but it again shows different md5sums
> for the two tarballs.
> 
> I think the - .gz - compression changes the tarball every time you create it.
> 
> =====
> 
> $ echo 'hello, world' > 1
> $ tar -czf 1.tar.gz 1
> $ tar -czf 2.tar.gz 1
> $ md5sum 1.tar.gz 2.tar.gz 
> 12ef3047bf3a93b99fd82e57eb7eeef9  1.tar.gz
> 6eec3830961866140011554f20bc48fb  2.tar.gz
> 
> =====
> 
> I'll suggest change the compression to .bz2 or .xz as
> 
> .xz -> $ tar -cJvf grapefruit-0.1a3svn31.tar.xz grapefruit-0.1a3/
> .bz2 -> $ tar -cjvf grapefruit-0.1a3svn31.tar.bz2 grapefruit-0.1a3/
> 
> Please notice the capital(-J) and small(-j) in the options above.

Thanks for suggesting, made .xz tarball this time.
SPEC URL: http://kumarpraveen.fedorapeople.org/grapefruit/grapefruit.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/grapefruit/grapefruit-0.1a3-4.20110627svn31.fc15.src.rpm

Comment 7 Rahul Sundaram 2011-06-28 20:36:25 UTC
Hate to be a stickler but using the same wording in two different changelog isn't a good idea.  You might want to fix the last entry to note that you changed the archive format or something else.  Don't have to bump the release.  You are free to fix this before importing.

Comment 8 Praveen Kumar 2011-06-29 02:44:28 UTC
(In reply to comment #7)
> Hate to be a stickler but using the same wording in two different changelog
> isn't a good idea.  You might want to fix the last entry to note that you
> changed the archive format or something else.  Don't have to bump the release. 
> You are free to fix this before importing.

Thanks,I just forgot, now fixed. I don't think I need to update release for that. 
SPEC URL : http://kumarpraveen.fedorapeople.org/grapefruit/grapefruit.spec
SRPM URL : http://kumarpraveen.fedorapeople.org/grapefruit/grapefruit-0.1a3-4.20110627svn31.fc15.src.rpm

Comment 9 pjp 2011-06-29 06:25:16 UTC
  Hey, I tried the same again, but it's still not matching the md5sum check.

====

$ svn export -r 31 http://grapefruit.googlecode.com/svn/trunk/ grapefruit-0.1a3
$ tar -cJf grapefruit-0.1a3svn31.tar.xz grapefruit-0.1a3/
$ md5sum grapefruit-0.1a3svn31.tar.xz \
         rpmbuild/SOURCES/grapefruit-0.1a3svn31.tar.xz 
4d9c982724afc6c042304e6b35520d22  grapefruit-0.1a3svn31.tar.xz
0efef90d4a28dec4e32452bdedb0922b  rpmbuild/SOURCES/grapefruit-0.1a3svn31.tar.xz

====

Let's see, please try to do this simple test

===

$ echo 'hello, world' > 1
$ tar -cjf 1.tar.bz2 1

$ scp 1.tar.bz2 to a different machine,
$ ssh to that machine
$ tar -xjf 1.tar.bz2
$ tar -cjf 2.tar.bz2 1

$ md5sum 1.tar.bz2 2.tar.bz2

===

Comment 10 pjp 2011-06-29 09:00:49 UTC
[X] Package name - ok.
[X] Package group - ok.
[X] Build successful - ok.

[X] rpmlint SRPMS/grapefruit-0.1a3-4.20110627svn31.fc14.src.rpm
grapefruit.src: W: invalid-url Source0: grapefruit-0.1a3svn31.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

  - ok, for the SPEC file provides URL to a SVN repository to create tarball.

[X] rpmlint RPMS/noarch/grapefruit-0.1a3-4.20110627svn31.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  - ok.

[X] Licence ASL 2.0 - ok.
[X] Install/Un-install - ok.

$ rpm -ivh grapefruit-0.1a3-4.20110627svn31.fc14.noarch.rpm
Preparing...                ########################################### [100%]
   1:grapefruit             ########################################### [100%]
$ rpm -qa | grep -i grapefruit
grapefruit-0.1a3-4.20110627svn31.fc14.noarch
$ rpm -ev grapefruit-0.1a3-4.20110627svn31.fc14
$ rpm -qa | grep -i grapefruit
$ 


Looks good.

Comment 11 pjp 2011-06-29 09:25:59 UTC
Approved.

Comment 12 Praveen Kumar 2011-06-29 11:16:30 UTC
New Package SCM Request
=======================
Package Name: grapefruit
Short Description: Python module for color information
Owners: kumarpraveen
Branches: f14 f15 fl6

Comment 13 Gwyn Ciesla 2011-06-29 12:27:05 UTC
Git done (by process-git-requests).

Don't request f16, it currently == devel and is automatic.

Comment 14 Rahul Sundaram 2011-07-09 08:44:27 UTC
Are you going to build this package?

Comment 15 Rahul Sundaram 2011-07-09 10:34:13 UTC
Apparently build has already been done.  Closing

Comment 16 Rahul Sundaram 2011-07-10 06:29:52 UTC
I am afraid,  this package has been to marked dead and another review request needs to be filed with a name change since this is a python module and must be named python-grapefruit instead

http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28python_modules.29

http://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

My bad for noticing this before.


Note You need to log in before you can comment on or make changes to this bug.